Bug 13855 - Fastadd framework has 2x 100$c, missing 100$a
Summary: Fastadd framework has 2x 100$c, missing 100$a
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: MARC Bibliographic data support (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Mirko Tietgen
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-03-17 21:02 UTC by Mirko Tietgen
Modified: 2015-06-25 08:02 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
BUG 13855 - Fastadd framework has 2x 100$c, missing 100$a (6.92 KB, patch)
2015-03-18 01:33 UTC, Mirko Tietgen
Details | Diff | Splinter Review
Bug 13855 - Fastadd framework has 2x 100$c, missing 100$a (7.00 KB, patch)
2015-03-19 13:14 UTC, Marcel de Rooy
Details | Diff | Splinter Review
[PASSED QA] Bug 13855 - Fastadd framework has 2x 100$c, missing 100$a (7.10 KB, patch)
2015-03-23 06:29 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Mirko Tietgen 2015-03-17 21:02:07 UTC
Field 100$a is missing from fastadd framework, 100$c appears twice in sql file.
Comment 1 Mirko Tietgen 2015-03-18 01:33:33 UTC Comment hidden (obsolete)
Comment 2 Marcel de Rooy 2015-03-19 13:14:45 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2015-03-22 21:37:06 UTC
Updating this to a bug fix.
Comment 4 Katrin Fischer 2015-03-23 06:29:44 UTC
Created attachment 37098 [details] [review]
[PASSED QA] Bug 13855 - Fastadd framework has 2x 100$c, missing 100$a

The fastadd framework ist missing a 100$a subfield, it has two 100$c instead.
This patch corrects English, German, Italian and Spanish .sql files.
Italian and Spanish need translations for the field name.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Tested running all sql files manually.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Tomás Cohen Arazi 2015-03-30 16:48:42 UTC
Patch pushed to master.

Thanks Mirko!
Comment 6 Chris Cormack 2015-03-31 05:28:33 UTC
Pushed to 3.18.x will be in 3.18.6